/*
  @description: 招标计划公共方法
  @Modifier: sunxinman
  @routerPath:
  @date: 2019/12/22-14:41
*/
import { queryPurchaseSchemeInitInfo } from '@api/purchasePlan/pretcloudPurchasescheme'
import { getDepartInfoListByDepartId } from '@api/common/user'
import { filterDictText, moneyFormat } from '@/assets/js/utils'
export const tenderPlan = {
  data() {
    return {
      // 字典信息
      purchasesScheOperatingDepartmentList: [], // 业务部门
      allotTierList: [
        { typename: '业务部门', typecode: '00' },
        { typename: '项目经理', typecode: '01' }
      ], // 分配层级
      allotTypeList: [
        { typename: '自动分配', typecode: '01' },
        { typename: '手动分配', typecode: '00' }
      ], // 分配方式
      isUsedList: [
        { typename: '禁用', typecode: '00' },
        { typename: '启用', typecode: '01' }
      ], // 启用状态
      purchaseSchemeLevelList: [],		// 招标计划采购级别
      purchaseSchemeTypeList: [],		// 招标计划采购类型
      purchaseSchemeProjectNatureList: [],	// 招标计划项目性质
      purchaseSchemeProjectTypeList: [],	// 招标计划招标项目类型
      purchaseSchemeEngineeringTypeList: [],	// 招标计划工程分类
      purchaseSchemeBidPriceMethodList: [],	// 招标计划投标报价方式
      purchasesSchemeMajorList: [],		// 招标计划专业
      purchasesSchemePlanTypeList: [],		// 招标计划类型
      purchasesSchemeEvalMethodList: [],	// 招标计划评标办法
      purchasesSchemeBudgetPriceList: [],	// 招标计划概算金额
      orgMethodList: [], // 组织形式
      purchasesSchemeBidOrgFormList: [], // 	招标计划招标组织形式
      purchasesSchemeBidWayList: [], // 	招标计划招标方式
      purchasesSchemeQuaWayList: [], // 	招标计划资格审查方式
      purchasesSchemeQuaProjectList: [], // 	招标计划年度资格预审筛选项目
      purchasesSchemeQuaOpenWayList: [], // 	招标计划资格预审开启方式
      purchasesSchemeQuaEvalWayList: [], // 	招标计划资格预审评审方式
      purchasesSchemeQuaEvalMethodList: [], // 	招标计划资格预审评审办法
      purchasesSchemeOpenWayList: [], // 	招标计划开标方式
      purchasesSchemeOpenStepWayList: [], // 	招标计划开标步制
      purchasesSchemeEvalWayList: [], // 	招标计划评标方式
      purchasesSchemeDocWayList: [], // 	招标计划投标文件递交方式
      purchasesSchemeEntrustCommitteeList: [], // 	招标计划是否委托预审委员会决议
      purchasesSchemeIsGroupList: [], // 	招标计划是否分组
      purchasesSchemeOrgWayList: [], // 	招标计划组建方式
      purchasesSchemeProEvalMethodList: [], // 	招标计划流程控制评标办法
      purchasesSchemeEvalEvalMethodList: [], // 	招标计划首页选择<综合评估法>评标办法 02 全寿命周期成本计算法
      purchasesSchemeEvalMethodOneList: []// 	招标计划首页选择<经评审的最低投标价法>评标办法 00经评审的最低投标价法 01经评审的合理低价法
    }
  },
  methods: {
    // 招标计划-字典信息
    initPurchaseSchemeWebTypeGroup() {
      queryPurchaseSchemeInitInfo().then(res => {
        // 遍历key存储相应的数据
        for (const key in res.data) {
          this[key + 'List'] = res.data[key].typeList
        }
      })
    },
    filterDictText, // 引入字典值替换文本通用方法
    moneyFormat, // 金额添加千分位方法
    // 表格字典值替换文本-投标报价方式
    formatBiddingQuotationMethod(row, column, cellValue) {
      return filterDictText(this.purchaseSchemeBidPriceMethodList, cellValue)
    },
    // 表格字典值替换文本-评标方式
    formatBiddingEvaluationWay(row, column, cellValue) {
      return filterDictText(this.purchasesSchemeEvalWayList, cellValue)
    },
    // 表格字典值替换文本-开标方式
    formatBidOpeningMethod(row, column, cellValue) {
      return filterDictText(this.purchasesSchemeOpenWayList, cellValue)
    },
    // 表格字典值替换文本-项目性质
    formatSchemeNature(row, column, cellValue) {
      return filterDictText(this.purchaseSchemeProjectNatureList, cellValue)
    },
    // 表格字典值替换文本-项目性质
    formatSchemeClass(row, column, cellValue) {
      return filterDictText(this.purchaseSchemeEngineeringTypeList, cellValue)
    },
    // 表格字典值替换文本-资格审查方式
    formatQualificationCheckWay(row, column, cellValue) {
      return filterDictText(this.purchasesSchemeQuaWayList, cellValue)
    },
    // 表格字典值替换文本-招标方式
    formatBiddingMethod(row, column, cellValue) {
      return filterDictText(this.purchasesSchemeBidWayList, cellValue)
    },
    // 表格字典值替换文本-招标组织形式
    formatBiddingOrganizationForm(row, column, cellValue) {
      return filterDictText(this.purchasesSchemeBidOrgFormList, cellValue)
    },
    // 表格字典值替换文本-采购级别
    formatPurchasLevel(row, column, cellValue) {
      return filterDictText(this.purchaseSchemeLevelList, cellValue)
    },
    // 表格字典值替换文本-招标计划类型 00带招标方案 01自建项目
    formatBiddingPlanType(row, column, cellValue) {
      return filterDictText(this.purchasesSchemePlanTypeList, cellValue)
    },
    // 表格字典值替换文本-招标计划招标项目类型
    formatBiddingSchemeType(row, column, cellValue) {
      return filterDictText(this.purchaseSchemeProjectTypeList, cellValue)
    },
    // 根据departId获取所属公司的所有下级部门信息
    getDepartInfoList() {
      getDepartInfoListByDepartId().then(res => {
        this.purchasesScheOperatingDepartmentList = res.data
      }).catch(() => {

      })
    },
    // 概算金额添加千分位
    schemeBudgetMoneyFormat(row, column, cellValue) {
      return moneyFormat(cellValue)
    }
  }
}
